C                               TOPIC I (1)
c****************************************************************************************
C COMMENTS IN A FORTRAN PROGRAM
c****************************************************************************************

C This is a comment line
c Lower case "c" is also accepted by many compilers

        B=5.2                   !Instructions start at column 7 or later
        PI=3.1415926            ! but the exclamation mark causes the
        C=B*2.*PI               !the compiler to ignore columns past it
        write(*,*)C
        end

C Try to include at least one comment-line (full or partial) per two
c lines of code.

c Blanks and blank-lines are also useful to visually section the code
c since they will simply be ignored in Fortran.
C Blanks and blank-lines are ignored by the compiler.


c========= * ===== * ===== * ===== * ===== * ===== * ===== * ===== * =====
c The columns have the following significance in Fortran:

c "C" in the first column designates a comment.
c Columns [1-5] inclusive, can be used for an integer statement label.
c Column 6 is reserved for designating continuation.
c Columns [7-72] inclusive, are used for Fortran Instructions.
c Columns 73 and beyond will be ignored 


