c                               TOPIC III (1)
c NUMERIC VARIABLES

c****************************************************************************************
c This program illustrates the  INTEGER and REAL variable types.
c INTEGERS variables can only hold whole numbers(negative or positive). 
c  for example  -10 4500  -32444 12220240

c REAL  variables can hold all real numbers that is whole numbers or numbers
c with decimal fractions (negative or positive) but they occupy more memory
c than INTEGERS and operations with REAL numbers take longer in the CPU.
c examples of REAL numbers are  0.0  2.  -4.5556  3.1415926  -10.
c****************************************************************************************


c This porgram calculates the sum of 2 numbers

c*********=*******=**********=*****=*******=******=*****=****=**
c Variable list: Where the variable names are described         *
c (Every routine must have a section like this)                 *
c       X1 holds the first number (input by user)               *
c       X2 holds the second number (input by user)              *
c       SUMOF2 holds the sum of X1 and X2 (output)              *
c*********=*******=**********=*****=*******=******=*****=****=**
                               
        
        INTEGER  X1 , X2 , SUMOF2                   !declare variable to be used
        WRITE(*,*) 'Please enter 2 integers (whole numbers)'
        
c the following two statements are disabled using a "c" in front
c for non-integer operation enable these and disable the two lines above
c        REAL X1 , X2 , SUMOF2               
c        WRITE(*,*) 'Please enter two numbers'        

        READ(*,*) X1 , X2                 !read the #'s into X1 and X2
        SUMOF2= X1 + X2                   !calculate the sum
        WRITE(*,*)                     !allow a little space
        WRITE(*,*) 'The results is ',SUMOF2
        END


c Note that Fortran allows certain variable name categories as 
c INTEGER or REAL by default. This means that they do not need to be 
c explicitly declared but it is utterly good practice to declare all
c variables explicitly AND describe their function using comment lines
c in a designated section of the code (usually in a box near the top)

c  ALL explicitly undeclared variables that START w/ the letters
c       I  J  K  L  M  N
c will be designated as INTEGER by defualt
c ALL others  will be desiganted as REAL by defualt.
c for exmaple  X, VOLTS, AMPS  are all REAL by default
c and          I, LOW, JTHX    are all INTEGER by default

c  but a declaration   INTEGER X
c or                    REAL INDEX
c
c will change the data types that can be put into X or INDEX from their 
c default value.
c Note: THERE ARE NO DEFAULT TYPES FOR CHARACTER DATA, THEY MUST ALL BE
c EXPLICITLY DECALRED. e.g.  CHARACTER X*10   etc


c ======== *  ======== *  ======== *  ======== *  ======== *  ======== * 
c More complex computations are possible to encode in Fortran using the
c the elementary operations and using the compiler's intrinsic functions.
c the elementary operators for exponetiation, multiplication, division
c addition, negation, and subtraction are listed below.

c a few notes on arithmetic precedence of operations
c  Exponentiation    **         1  (Highest)
c  Mult.  Division    *  /      2
c  Add./Subtr./Negation  + -    3  (Lowest)

c Parentheses override all default precedences
c examples:
c       3*7+5   is equivalent to   (3*7)+5
c       -x**y   ...............    -(x**y)
c       x1+x2/2 ..............     x1+(x2/2) 
c       area/g-qu**2**m .......... (area/g)-(qu**(2**m))

c Not allowed:  1. Division by Zero
c               2. Raising zero to a negative power
c               3. Raising begative numbers to a non-whole power.



c BE SURE TO REWRITE THIS PROGRAM USING YOUR EDITOR/ ADD A FEW FANCY 
c OPERATIONS OF YOUR OWN, THEN COMPILE AND RUN IT.




c ======= * ======== * ========= * ======= * ======== * ========= 
c REGISTER YOUR OWNERSHIP TO GET THE VIDEO TAPE & EXTRA LESSONS 
c IN TIME FOR WHEN YOU FINISH THE TOPICS PROVIDED HERE
c ======= * ======== * ========= * ======= * ======== * ========= 

