c                               TOPIC VI (2)
c The IF statement- continued
c*********************************************************************************
c Multiple conditions.
c*********************************************************************************

c program to calculate the "strange sum" of 2 numbers
c The strange sum is illustrated w/ this example:       2+3=+5
c                                                       2-3=-1
c                                                       -2+3=+1
c                                                       -2-3=+5
c I1 and I2 are the input values and the strange sum will be in RES

        INTEGER I1,I2,RES
        CALL INPUT(I1,I2)         !get the input

        RES=I1+I2                 !do the normal sum
        IF((I1.LT.0).AND.(I2.LT.0))THEN      !check for the strange part
         RES=ABS(RES)                        !ABS intrinsic function returns
        ENDIF                                !the absolute value of its argument

c Note that the statement RES=ABS(RES) is NOT like an algebraic statement.
c it means do the right hand side with the current values of variables as 
c needed and place the result in the variable on the left hand side. So the
c above statement simply _Updates_ the value of RES with its own absolute value.

        
        CALL OUTPUT(RES)         !echo the output
        
        END


c======== * ======== * ======== * ======== * ======== * ======== * ======== * 
c Besides  .AND. other LOGICAL operators are also available:

c  .AND.  .OR.  .NEQV.    and   .NOT.

c .NEQV. is also known as the exclusive OR. Some compilers allow the more
c recognizable form .XOR. but this is not a Fortran-77 standard.

c .NOT. simply negates the truth value of the argument in the IF statement
c e.g. we can have  IF(.NOT.((I1.EQ.0).AND.(I2.EQ.0)))RES=RES+2




c ======= * ======== * ========= * ======= * ======== * ========= 
c REGISTER YOUR OWNERSHIP TO GET THE VIDEO TAPE & EXTRA LESSONS 
c IN TIME FOR WHEN YOU FINISH THE TOPICS PROVIDED HERE
c ======= * ======== * ========= * ======= * ======== * ========= 

